﻿// See https://aka.ms/new-console-template for more information
using Microsoft.EntityFrameworkCore;
using Microsoft.Extensions.Configuration;
using mysqlefcore;

static class Program
{
    internal static string connectionString;
    static async Task Main()
    {
        var builder = new ConfigurationBuilder()
     .SetBasePath(AppContext.BaseDirectory)
     .AddJsonFile("appsettings.json", optional: false, reloadOnChange: true);

        IConfiguration configuration = builder.Build();

        connectionString = configuration.GetConnectionString("LibraryDatabase");

        await new LibraryContext().Database.MigrateAsync();
    }

}
